Skip to main content

Atrium API

Read Institution Credentials

Use this endpoint to see which credentials will be needed to create a member for a specific institution.

info

Institution credentials are not the same as member credentials. Use institution credentials to create a new member and member credentials to update an existing member.

GET
/institutions/{institution_code}/credentials

Request Body

FieldRequiredType

display_order

The order in which the credential should be displayed to the end user; lower numbers should be displayed first.

Optional
Integer

field_name

Name of the credential field for the institution (e.g. 'LOGIN')

Optional
String

guid

A unique identifier for the credential. Defined by MX.

Optional
String

label

A label for the credential, intended to be readable by the end user (e.g. 'Username')

Optional
String

type

A name for the type of field (e.g. 'PASSWORD')

Optional
String

options

See explanation that immediately follows.

Optional
Options[]

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/institutions/mxbank/credentials' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_18
{
_18
"credentials": [
_18
{
_18
"display_order": 0,
_18
"field_name": "login_email",
_18
"guid": "CRD-12ce94ad-032b-5441-8cb3-d7ebe3a35676",
_18
"label": "Email Address",
_18
"type": "LOGIN"
_18
},
_18
{
_18
"display_order": 1,
_18
"field_name": "login_password",
_18
"guid": "CRD-305767e4-f464-765b-8f83-881b5bd307ec",
_18
"label": "PayPal password",
_18
"type": "PASSWORD"
_18
}
_18
]
_18
}